For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Pending Transfers

Get Pending Transfers

get
Query parameters
merchant_idinteger · int32Optional
app_idinteger · int32Optional
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Responses
default

default response

application/json
merchant_idinteger · int32Optional

Unique identifier of the merchant associated with this pending transfer response.

amountinteger · int64Optional

Total amount in fractional currency unit (e.g. cents) that needs to be sent to the associated merchant.

currencystringOptional

Main currency (e.g. USD) associated with this pending transfer response.

related_distributionsinteger · int64[]Optional

List of Distribution IDs associated with this pending transfer response. The total pending transfer amount equals the sum of all related pending distributions.

merchant_namestringOptional

Name of the merchant associated with this pending transfer.

distribution_countinteger · int32Optional

Total number of distributions being settled in this pending transfer. This count matches the size of related_distributions.

payout_account_idinteger · int32Optional

Violet Payout Account ID for this merchant and the requesting app. This is the payout account that should receive the transfer.

platform_codestringOptional

Developer-specified identifier for the payment platform associated with this pending transfer (e.g., 'ACME_UK', 'ACME_US'). For multi-platform developers, this indicates which Stripe platform account processed these distributions. Null for single-platform developers.

payment_platform_connection_idinteger · int64Optional

Unique identifier of the PaymentPlatformConnection associated with this pending transfer. This is the immutable reference to the connection configuration. Use this ID for lookups rather than platform_code, as codes can be renamed.

get/payments/transfers/pending
GET /v1/payments/transfers/pending HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Accept: */*
default

default response

[
  {
    "merchant_id": 1,
    "amount": 1,
    "currency": "text",
    "related_distributions": [
      1
    ],
    "merchant_name": "text",
    "distribution_count": 1,
    "payout_account_id": 1,
    "payout_account": {
      "id": 1,
      "account_type": "MERCHANT",
      "account_id": 1,
      "merchant_id": 1,
      "app_id": 1,
      "payment_platform_connection_id": 1,
      "credential_id": 1,
      "is_active": true,
      "country_code": "text",
      "payment_provider": "STRIPE",
      "payment_provider_account_id": "text",
      "payment_provider_account_type": "EXPRESS",
      "payment_provider_metadata": {
        "ANY_ADDITIONAL_PROPERTY": {}
      },
      "payment_provider_account": {},
      "date_deactivated": "2026-01-01T00:00:00.000Z",
      "errors": [
        {
          "id": 1,
          "error_code": 1,
          "error_message": "text",
          "resolved": true,
          "date_resolved": "2026-01-01T00:00:00.000Z",
          "date_created": "2026-01-01T00:00:00.000Z",
          "payout_account_id": 1
        }
      ],
      "date_created": "2026-01-01T00:00:00.000Z",
      "date_last_modified": "2026-01-01T00:00:00.000Z"
    },
    "platform_code": "text",
    "payment_platform_connection_id": 1
  }
]

Last updated

Was this helpful?